summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Aleksandar Samardzic <asamardzic@gmail.com>2010-05-11 22:53:28 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:53:28 +0200
commitfde6649363fb3eb885c8c871624a4b75f3f3c259 (patch)
treec23ca017002a09e38b1cb668714fd835cf8c02a3 /development
parenta143f5e519694de1774799affb328ad2551e613d (diff)
downloadslackbuilds-fde6649363fb3eb885c8c871624a4b75f3f3c259.tar.gz
slackbuilds-fde6649363fb3eb885c8c871624a4b75f3f3c259.tar.xz
development/boost-bindings: Added to 12.1 repository
Diffstat (limited to 'development')
-rw-r--r--development/boost-bindings/README6
-rw-r--r--development/boost-bindings/boost-bindings.SlackBuild54
-rw-r--r--development/boost-bindings/boost-bindings.info8
-rw-r--r--development/boost-bindings/slack-desc19
4 files changed, 87 insertions, 0 deletions
diff --git a/development/boost-bindings/README b/development/boost-bindings/README
new file mode 100644
index 0000000000..6a5a1ab1eb
--- /dev/null
+++ b/development/boost-bindings/README
@@ -0,0 +1,6 @@
+Boost Bindings is a bindings library for Boost.Ublas and others.
+It offers an easy way of calling BLAS, LAPACK, UMFPACK, MUMPS and
+many other mature legacy numerical codes from within C++.
+
+The Boost Bindings Library is not an official part of Boost (hence the
+separate package). It requires Boost available from SlackBuilds.org.
diff --git a/development/boost-bindings/boost-bindings.SlackBuild b/development/boost-bindings/boost-bindings.SlackBuild
new file mode 100644
index 0000000000..073edf2cec
--- /dev/null
+++ b/development/boost-bindings/boost-bindings.SlackBuild
@@ -0,0 +1,54 @@
+#!/bin/sh
+
+# Slackware build script for Boost Bindings
+
+# Written by Aleksandar Samardzic <asamardzic@gmail.com>
+
+NAME=boost-numeric-bindings
+PRGNAM=boost-bindings
+VERSION=${VERSION:-20080816}
+ARCH=noarch
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $NAME
+tar xvf $CWD/$NAME-$VERSION.tar.gz
+cd $NAME
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# The makefile is installing into the "boost-numeric-bindings"
+# subdirectory of the "include" directory under install root, which is
+# changed here to install directly into the "include" directory, for
+# better integration with the Boost library header files (supposedly
+# also installed into the "include" directory under install root).
+ sed -i 's|/boost-numeric-bindings/|/|' Makefile.in
+
+# Normally, this is bad, but since we're just installing headers, it's okay.
+./configure --prefix=$PKG/usr
+make
+make install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE_1_0.txt README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/boost-bindings/boost-bindings.info b/development/boost-bindings/boost-bindings.info
new file mode 100644
index 0000000000..0eb9213c08
--- /dev/null
+++ b/development/boost-bindings/boost-bindings.info
@@ -0,0 +1,8 @@
+PRGNAM="boost-bindings"
+VERSION="20080816"
+HOMEPAGE="http://mathema.tician.de/software/boost-bindings/"
+DOWNLOAD="http://mathema.tician.de/news.tiker.net/download/software/boost-bindings/boost-numeric-bindings-20080816.tar.gz"
+MD5SUM="bc3920984d20c6c6bbcbd16217939512"
+MAINTAINER="Aleksandar Samardzic"
+EMAIL="asamardzic@gmail.com"
+APPROVED="dsomero"
diff --git a/development/boost-bindings/slack-desc b/development/boost-bindings/slack-desc
new file mode 100644
index 0000000000..3ea9b062c2
--- /dev/null
+++ b/development/boost-bindings/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+boost-bindings: Boost Bindings (bindings library for Boost)
+boost-bindings:
+boost-bindings: Boost Bindings library offers an easy way of calling
+boost-bindings: BLAS, LAPACK, UMFPACK, MUMPS and many other mature
+boost-bindings: legacy numerical codes from within C++.
+boost-bindings:
+boost-bindings: Homepage: http://mathema.tician.de/software/boost-bindings
+boost-bindings:
+boost-bindings:
+boost-bindings:
+boost-bindings: